- NAME
- SYNOPSIS
- DESCRIPTION
- RETURN VALUES
- NOTES
- COPYRIGHT

# NAME

CRYPTO_memcmp - Constant time memory comparison

# SYNOPSIS

    #include <openssl/crypto.h>

    int CRYPTO_memcmp(const void *a, const void *b, size_t len);

# DESCRIPTION

The CRYPTO_memcmp function compares the len bytes pointed to by a and b for equality. It takes an amount of time dependent on len, but independent of the contents of the memory regions pointed to by a and b.

# RETURN VALUES

CRYPTO_memcmp() returns 0 if the memory regions are equal and nonzero otherwise.

# NOTES

Unlike memcmp(2), this function cannot be used to order the two memory regions as the return value when they differ is undefined, other than being nonzero.

# COPYRIGHT

Copyright 2019 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.